Bug 823048 - Upgrade to F17 fails with DeviceError: ('device has not been created' ... for non-boot disk
Upgrade to F17 fails with DeviceError: ('device has not been created' ... for...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 17:28 EDT by Reb
Modified: 2013-07-31 19:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:53:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda report tar gz file (88.93 KB, application/x-tar)
2012-05-18 17:28 EDT, Reb
no flags Details
Comment (533.24 KB, text/plain)
2012-05-18 17:28 EDT, Reb
no flags Details

  None (edit)
Description Reb 2012-05-18 17:28:07 EDT
Created attachment 915456 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Brent Wells 2012-05-30 07:22:46 EDT
I believe I have ran into the same problem, but I had this entry in my fstab when Fedora 17 rebooted after running preupgrade:

hugetlbfs       /hugepages  hugetlbfs       defaults        0 0

The installer does not know about hugetlbfs and it would fail when checking the disk setup.  I commented out the entry in my /etc/fstab and I was able to upgrade fine.  Might need to place a check to see if this is in /etc/fstab before upgrade.
Comment 2 Reb 2012-05-30 11:58:37 EDT
Upon further examination, I discovered that an entry in fstab was causing this.  In this case, the mount was by ID, as follows:

/dev/disk/by-id/scsi-SATA_SAMSUNG_HD204UIS2HGJ1BZ834913-part1 /foo	ext4	defaults	1 4

I worked around this by commenting out the line.
Comment 3 Heiko Loewe 2012-06-02 08:25:09 EDT
I received the error even when upgrading through the "custom layout" path. I.e. I usally overwrite the existing installation and start with a fresh system.
Comment 4 Richard Schwarting 2012-06-04 14:10:35 EDT
I receive the same error, but there isn't any obvious fstab entry that should prompt it.
Comment 5 Murat Deligonul 2012-06-11 12:37:29 EDT
I was having the same problem.  I had a RAID device with a couple of partitions on it that were being mounted by label in fstab.  I commented out those entries in fstab and the error went away.
Comment 6 Michael Breuer 2012-07-07 14:07:29 EDT
Me too... got past this by commenting out a btrfs fs mount and also /debug.. not sure which fixed it.. now i'm digging into a "mirror FailureCB" issue.
Comment 7 Michael Breuer 2012-07-07 14:19:54 EDT
And in case anyone searches and finds comment 6 the repo names don't work on a vfat formatted usb stick.,
Comment 8 Michael Breuer 2012-07-08 10:28:34 EDT
(In reply to comment #6)
> Me too... got past this by commenting out a btrfs fs mount and also /debug..
> not sure which fixed it.. now I'm digging into a "mirror FailureCB" issue.

Redid this... it was the /debug mount that caused the initial issue.

Now I'm unable to upgrade as after I get to the upgrade gui anacanda messes up and can't locate my md1 device. There seem to be multiple tickets and discussions about that as well... so I'll be moving on to those bugs.
Comment 9 Fedora End Of Life 2013-07-03 18:11:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 19:53:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.